Subject: Eww doesn't render Arabic script correctly

From: Nicholas Drozd <[email-masked]>
Date: Wed, 9 Oct 2019 12:16:16 -0500

Here is the Persian Wikipedia page for Emacs:
https://fa.wikipedia.org/wiki/%D8%A7%DB%8C%D9%85%DA%A9%D8%B3

When I open it in Eww, the cursive Perso-Arabic characters are not
strung together properly. For example, the article mentions the
"editor war", جنگ ویرایشگرها. In Eww, this is rendered as جنگ
ویرایشگرها with wrong forms (initial vs middle vs final vs isolated).
`D` runs `eww-toggle-paragraph-direction`, but that doesn't have any
effect on the problem. I think this might be a cursive issue rather
than a directionality issue, but I could be wrong.

(As I prepare to send this, I notice that Gmail won't render that
phrase incorrectly, so the issue might not be communicated clearly
here.)